package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecPvPriceConfig;

import java.util.List;

/**
 * 光伏电价配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-19
 */
public interface ElecPvPriceConfigMapper {
    /**
     * 查询光伏电价配置
     *
     * @param id 光伏电价配置主键
     * @return 光伏电价配置
     */
    ElecPvPriceConfig selectPvPriceConfigById(Long id);

    /**
     * 查询光伏电价配置列表
     *
     * @param pvPriceConfig 光伏电价配置
     * @return 光伏电价配置集合
     */
    List<ElecPvPriceConfig> selectPvPriceConfigList(ElecPvPriceConfig pvPriceConfig);

    /**
     * 新增光伏电价配置
     *
     * @param pvPriceConfig 光伏电价配置
     * @return 结果
     */
    int insertPvPriceConfig(ElecPvPriceConfig pvPriceConfig);

    /**
     * 修改光伏电价配置
     *
     * @param pvPriceConfig 光伏电价配置
     * @return 结果
     */
    int updatePvPriceConfig(ElecPvPriceConfig pvPriceConfig);

    /**
     * 删除光伏电价配置
     *
     * @param id 光伏电价配置主键
     * @return 结果
     */
    int deletePvPriceConfigById(Long id);

    /**
     * 批量删除光伏电价配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePvPriceConfigByIds(Long[] ids);
}
